classification
Title: bytes should be listed as built-in function for 2.7
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: andymaier, chris.jerdonek, docs@python, ezio.melotti, flox, zach.ware
Priority: normal Keywords: patch

Created on 2013-05-04 10:34 by flox, last changed 2020-04-27 01:31 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
issue17904.diff ezio.melotti, 2013-05-10 17:33
Messages (6)
msg188349 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2013-05-04 10:34
Looking into the summary table, there's no information about the `bytes` built-in alias for `str`:
http://docs.python.org/2/library/functions.html

IMHO it should appear in this table (as str, unicode, bytearray) with the appropriate `.. versionadded:`.
msg188852 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-05-10 17:33
Here's a patch.  Do you think it should be added under the string signature too?  It will make linking easier, but it might be more confusing for users.
msg222025 - (view) Author: Andy Maier (andymaier) * Date: 2014-07-01 12:20
Ezio, what do you mean with "string signature"?

For me, the patch looks fine as it is.
msg222026 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2014-07-01 12:25
I mean here: https://docs.python.org/2/library/functions.html#str
msg222049 - (view) Author: Andy Maier (andymaier) * Date: 2014-07-01 16:00
Your patch right now generates the line:

  New in version 2.6: bytes() has been added as an alias for str()

at the end of the paragraph for str().

To me, that is sufficient for the description of str().

If anything, we could add a separate paragraph for bytes(), after the paragraph for bytearray(), e.g. like this:

----------------------------------

.. function:: bytes()

   Alias for :func:`str`.

   .. versionadded:: 2.6

----------------------------------

If that is what you had in mind, I think it is a good idea to add it.

Andy
msg367341 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-27 01:31
As 2.7 has now reached EOL, I'm closing the issue.
History
Date User Action Args
2020-04-27 01:31:15zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg367341

resolution: out of date
stage: patch review -> resolved
2014-07-01 16:00:46andymaiersetmessages: + msg222049
2014-07-01 12:25:35ezio.melottisetmessages: + msg222026
2014-07-01 12:20:17andymaiersetnosy: + andymaier
messages: + msg222025
2013-05-10 17:33:48ezio.melottisetfiles: + issue17904.diff

type: behavior -> enhancement

keywords: + patch
nosy: + chris.jerdonek, ezio.melotti
messages: + msg188852
stage: needs patch -> patch review
2013-05-04 15:31:02pitrousetstage: needs patch
2013-05-04 10:34:39floxcreate